---
updatedAt: 2026-05-27T08:35:48.000Z
agentTools:
  projectIndex: https://docs.cast.ai/llms.txt
---

# List rebalancing jobs

Lists rebalancing jobs per cluster.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "servers": [
    {
      "url": "https://api.cast.ai/",
      "description": "US endpoint"
    },
    {
      "url": "https://api.eu.cast.ai/",
      "description": "EU endpoint"
    }
  ],
  "info": {
    "title": "CAST.AI API documentation",
    "version": "1.0.0",
    "description": "### Feature maturity indicators (may appear on resources, operations and request/response fields)\n - **(BETA)** - new or experimental features, subject to change\n - **(Deprecated)** - outdated or replaced features (a reason and removal date will be provided in the description)\n"
  },
  "tags": [
    {
      "description": "Provides management of schedules and jobs for running scheduled rebalancing plans.",
      "name": "ScheduledRebalancingAPI"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    },
    {
      "ApiKeyAuth": []
    }
  ],
  "paths": {
    "/v1/kubernetes/clusters/{clusterId}/rebalancing-jobs": {
      "get": {
        "description": "Lists rebalancing jobs per cluster.",
        "operationId": "ScheduledRebalancingAPI_ListRebalancingJobs",
        "parameters": [
          {
            "in": "path",
            "name": "clusterId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "rebalancingScheduleId",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/scheduledrebalancing.v1.ListRebalancingJobsResponse"
                }
              }
            },
            "description": "A successful response."
          }
        },
        "summary": "List rebalancing jobs",
        "tags": [
          "ScheduledRebalancingAPI"
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      },
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key"
      }
    },
    "schemas": {
      "scheduledrebalancing.v1.JobStatus": {
        "default": "JobStatusPending",
        "description": "JobStatus defines rebalancing job's last execution status.",
        "enum": [
          "JobStatusPending",
          "JobStatusInProgress",
          "JobStatusFinished",
          "JobStatusFailed",
          "JobStatusSkipped"
        ],
        "type": "string"
      },
      "scheduledrebalancing.v1.ListRebalancingJobsResponse": {
        "properties": {
          "jobs": {
            "items": {
              "$ref": "#/components/schemas/scheduledrebalancing.v1.RebalancingJob"
            },
            "type": "array"
          }
        },
        "required": [
          "jobs"
        ],
        "type": "object"
      },
      "scheduledrebalancing.v1.RebalancingJob": {
        "properties": {
          "id": {
            "readOnly": true,
            "type": "string"
          },
          "clusterId": {
            "readOnly": true,
            "title": "ID of a cluster that will be rebalanced once this job triggers",
            "type": "string"
          },
          "rebalancingScheduleId": {
            "title": "ID of schedule associated with this job",
            "type": "string"
          },
          "rebalancingPlanId": {
            "readOnly": true,
            "title": "ID of rebalancing plan: whenever job triggers, this value is updated once rebalancing plan is available,\nand will remain set until it is reset next time the job re-triggers;",
            "type": "string"
          },
          "enabled": {
            "description": "Specifies if job is currently enabled; disabled jobs are not triggered.",
            "nullable": true,
            "type": "boolean"
          },
          "lastTriggerAt": {
            "format": "date-time",
            "nullable": true,
            "readOnly": true,
            "title": "Reflects the last time the job was executed",
            "type": "string"
          },
          "nextTriggerAt": {
            "format": "date-time",
            "nullable": true,
            "readOnly": true,
            "title": "Reflects the next time the job will be executed",
            "type": "string"
          },
          "status": {
            "$ref": "#/components/schemas/scheduledrebalancing.v1.JobStatus"
          }
        },
        "required": [
          "rebalancingScheduleId"
        ],
        "type": "object"
      }
    }
  }
}
```